$lines-width: 0.5rem;
.field--wrapper {
  margin: 0 auto 5rem auto;
  width: 30rem;
  height: 10rem;
  background-color: #469d37;
  display: flex;
  align-items: center;
  border: $lines-width solid black;
  position: relative;
  .positions--group {
    position: absolute;
    top: 0;
    height: 100%;
    display: flex;
    align-items: center;
    &.positions--group--tid--2 {
      flex-direction: column;
      justify-content: center;
      right: 10%;
      .position--container {
        &.position--index--1 {
          margin-right: -2rem;
        }
      }
    }
    &.positions--group--tid--1 {
      left: 35%;
    }
    &.positions--group--tid--3 {
      left: 50%;
    }
    .position--container {
      width: 2rem;
      height: 2rem;
      border-radius: 50%;
      background-color: white;
      margin: 0.1rem;
      &.position-active {
        background-color: black;
      }
    }
  }
  .vertical--line {
    height: 100%;
    width: $lines-width;
    background-color: black;
    position: absolute;
    top: 0;
    &.left--line {
      left: 20%;
    }
    &.right--line {
      right: 20%;
    }
  }
}
